org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class FlatMapStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.FlatMapStageVerification

    public class FlatMapStageVerification
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `FlatMapStageVerification.InnerSubscriberVerification` Verifies the inner subscriber passed to publishers produced by the mapper function.
`class` `FlatMapStageVerification.OuterProcessorVerification` Verifies the outer processor.

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flatMapStageBuilderShouldBeReusable()`
`void` `flatMapStageShouldAllowEmptySubStreams()`
`void` `flatMapStageShouldHandleExceptions()`
`void` `flatMapStageShouldMapElements()`
`void` `flatMapStageShouldOnlySubscribeToOnePublisherAtATime()`
`void` `flatMapStageShouldPropagateSubstreamExceptions()`
`void` `flatMapStageShouldPropagateUpstreamExceptions()`
`void` `flatMapStageShouldPropgateCancelToSubstreams()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### flatMapStageShouldMapElements

    public void flatMapStageShouldMapElements()

#### flatMapStageShouldAllowEmptySubStreams

    public void flatMapStageShouldAllowEmptySubStreams()

#### flatMapStageShouldHandleExceptions

    public void flatMapStageShouldHandleExceptions()

#### flatMapStageShouldPropagateUpstreamExceptions

    public void flatMapStageShouldPropagateUpstreamExceptions()

#### flatMapStageShouldPropagateSubstreamExceptions

    public void flatMapStageShouldPropagateSubstreamExceptions()

#### flatMapStageShouldOnlySubscribeToOnePublisherAtATime

    public void flatMapStageShouldOnlySubscribeToOnePublisherAtATime()
                                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### flatMapStageShouldPropgateCancelToSubstreams

    public void flatMapStageShouldPropgateCancelToSubstreams()

#### flatMapStageBuilderShouldBeReusable

    public void flatMapStageBuilderShouldBeReusable()